Accept dispute
Accepts liability for a dispute.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X POST "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}/accept" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.AcceptDispute(ctx, accountID, disputeID)
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.AcceptDisputeResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
AcceptDisputeResponse res = sdk.disputes().accept()
.accountID("ef028cdd-49e0-4cd8-9c89-6673e28e226e")
.disputeID("b7cf0931-5fbb-4e79-94cb-96291b634f63")
.call();
if (res.dispute().isPresent()) {
// handle response
}
}
}using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Disputes.AcceptAsync(
accountID: "ef028cdd-49e0-4cd8-9c89-6673e28e226e",
disputeID: "b7cf0931-5fbb-4e79-94cb-96291b634f63"
);
// handle responserequire 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.disputes.accept(account_id: 'ef028cdd-49e0-4cd8-9c89-6673e28e226e', dispute_id: 'b7cf0931-5fbb-4e79-94cb-96291b634f63')
unless res.dispute.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.disputes.accept({
accountID: "ef028cdd-49e0-4cd8-9c89-6673e28e226e",
disputeID: "b7cf0931-5fbb-4e79-94cb-96291b634f63",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->disputes->accept(
accountID: 'ef028cdd-49e0-4cd8-9c89-6673e28e226e',
disputeID: 'b7cf0931-5fbb-4e79-94cb-96291b634f63'
);
if ($response->dispute !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.disputes.accept(account_id="ef028cdd-49e0-4cd8-9c89-6673e28e226e", dispute_id="b7cf0931-5fbb-4e79-94cb-96291b634f63")
# Handle response
print(res){
"amount": {
"currency": "USD",
"value": 257753
},
"createdOn": "2024-12-23T17:55:00Z",
"disputeID": "6e356108-fdfa-4910-bbe4-1e3c8abf5520",
"merchantAccountID": "34233b72-780c-4e0e-8b08-cbbe1bc878f8",
"networkReasonCode": "10.4",
"phase": "chargeback",
"respondBy": "2024-12-23T18:55:00Z",
"status": "response-needed",
"transfer": {
"transferID": "ecac148a-917e-4ee0-b46a-c51408939fff"
}
}Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
{
"error": "string"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
disputeID
string
required
Response
amount
object
required
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
createdOn
string<date-time>
required
disputeID
string
required
merchantAccountID
string
required
networkReasonCode
string
required
Indicates the card network's category for the dispute.
These codes may differ between card brands. You can find more information on the code from the networkReasonDescription field.
phase
string<enum>
required
pre-dispute,
inquiry,
chargeback,
unknown
respondBy
string<date-time>
required
status
string<enum>
required
The status of a particular dispute.
Read our disputes guide to learn what each status means.
response-needed,
resolved,
under-review,
closed,
accepted,
expired,
won,
lost
transfer
object
required
Show child attributes
transferID
string
required
networkReasonDescription
string
submittedOn
string<date-time>